package emps.obiektowo;

import java.util.ArrayList;
import java.util.List;

public class P6a_WypiszUnikalneMiasta_Lista {
	// UWAGA! Ta wersja jest mniej wydajna od wersji z Set.
	// do listy dodajemy miasto, jeśli go nie było wcześniej.
	// Ale sprawdzenie czy element należy do listy wymaga (wewnętrznie) przejrzenia całej listy w pętli.

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		List<String> miasta = new ArrayList<>();
		
		for(Employee emp : emps) {
			if(!miasta.contains(emp.getCity())) {
				miasta.add(emp.getCity());
			}
		}
		
		// System.out.println(miasta);
		for (String miasto : miasta) {
			System.out.println("* " + miasto);
		}
	}

}
